首页 新闻 搜索 专区 学院

求教!maven编译问题!

0
[待解决问题]

我用eclipse kepler开发项目,jdk用的是1.6,maven用的是3.2.1。在eclipse编译项目没问题,但是改用maven编译之后就报如下错误:

[ERROR] /D:/java/workspace/tender/src/main/java/com/openeap/modules/tender/es/web/TechscoreTController.java:[691,99] D:\java\workspace\tender\src\main\java\com\openeap\modules\tender\es\web\TechscoreTController.java:691: 不可转换的类型
[ERROR] 找到: java.lang.Object&java.io.Serializable&java.lang.Comparable<? extends java.lang.Object&java.io.Serializable&java.lang.Comparable<?>>
[ERROR] 需要: java.lang.String

代码中已经做了显示的类型转换,eclipse编译也没有报错,但是maven就出错。

maven的jdk已指定跟eclipse的一样,javac也指定用jdk的了。

eclipse编译错误信息设置也没有看到有忽略相关的错误的选项,按理说也会报错才对。

哪位高手帮帮忙回答一下,谢谢~~

lvchajason的主页 lvchajason | 菜鸟二级 | 园豆:202
提问于:2014-06-30 15:34
< >
分享
清除回答草稿
   您需要登录以后才能回答,未注册用户请先注册